export declare function generateOptimisticResponseForMutation<T>({ operationType, entityName, objects }: {
    operationType: "update" | "insert" | "delete";
    entityName: string;
    objects: {
        id: any;
    }[];
}): T;
/**
 *
 * @param param0
 */
export declare function generateUpdateFunctionForMutation<T>({ operationType, entityName, entityId }: {
    operationType: "delete";
    entityName: string;
    entityId: string | number;
}): (cache: any, result: any) => void;
export declare function IS_JAVASCRIPT_SCALAR_EQUIVALENT(arg: any, includeNull?: boolean): boolean;
export declare function IS_APOLLO_OBJECT(o: any): any;
export declare function convertApolloObjectToRefObj(o: any): {
    id: any;
    __typename: any;
};
export declare function convertApolloObjectArrayToRefObj(o: any[]): {
    id: any;
    __typename: any;
}[];
export declare function convertInsertInputToShallowPartialFragment(insertInputObject: object): any;
